<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <!-- jpush start -->
    <permission
        android:name="${applicationId}.permission.JPUSH_MESSAGE"
        android:protectionLevel="signature" />

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <!-- Required  一些系统要求的权限，如访问网络等 -->
    <uses-permission android:name="${applicationId}.permission.JPUSH_MESSAGE" />
    <!-- jpush end -->
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.hardware.camera" />
    <uses-permission android:name="android.hardware.camera.autofocus" />
    <uses-permission android:name="android.permission.WAKE_LOCK"/>

    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.CALL_PHONE"/>
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>
    <uses-permission android:name="getui.permission.GetuiService.com.hw.parkingpda"/>
    <permission android:name="getui.permission.GetuiService.${applicationId}" android:protectionLevel="normal"/>

    <!--定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>

    <!-- 讯飞语音 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />

    <!-- 开机启动 -->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS" />

    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="action:com.sunmi.scanner.ACTION_BAR_DEVICES_SETTING"/>
    <uses-permission android:name="android.permission.NFC" />

    <application
        android:allowBackup="true"
        android:name="com.hw.nativeapp.MApplication"
        android:icon="@mipmap/icon"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/icon"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/Theme.airport"
        android:requestLegacyExternalStorage="true"
        tools:targetApi="m">

        <activity
            android:name="com.hw.nativeapp.ui.activity.SplashActivity"
            android:theme="@style/ThemeNoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.nfc.action.NDEF_DISCOVERED" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <!--  首页  -->
        <activity android:name="com.hw.nativeapp.ui.activity.MainActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助取票页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.TakeActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助取票场景据剧目列表页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.TicketCollectionActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助取票状态页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.IssueTicketsActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票场景据剧目列表页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.TicketPurchaseActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票选择信息页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.SelectInfoActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票用户页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.TakeUserInfoActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票信息录入页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.InfoEnterActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票信息录入页面[输入框]  -->
        <activity android:name="com.hw.nativeapp.ui.activity.InfoInputActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票购买信息页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.PurchaseInfoActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票扫码支付页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.PaymentMethodActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <!--  自助购票支付扫码结果页面  -->
        <activity android:name="com.hw.nativeapp.ui.activity.ScanCodePayActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ThemeNoTitleBar" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.hw.airportwine.provider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities,android:exported">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

    </application>

</manifest>